\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{BDTS}[2025/03/14 LaMOS_BDTS]
\RequirePackage{xcolor,layout}
\RequirePackage[T1]{fontenc}
\RequirePackage{graphicx}
\RequirePackage{amssymb}
\RequirePackage{amsmath}
\RequirePackage{amsthm}
\RequirePackage{amsfonts}
\RequirePackage{amstext}
\RequirePackage{newcent}

\LoadClass[a4wide]{article}




\definecolor{nicered}{rgb}{.647,.129,.149}

\newcommand{\email}[1]{\par{\small #1}}
\newenvironment{keywords}{\textcolor{black}{\sc{Keywords}}}{ }
\def\shorttitle#1{\def\@shorttitle{#1}}
\newcommand{\shortT}{\@shorttitle}

\usepackage{newcent}

\renewenvironment{abstract}{%
%\usefont{OT1}{phv}{m}{n}
\begin{center}
\begin{minipage}{17cm}
%\rule{\textwidth}{0.5pt}\\
\begin{center}
{\usefont{OT1}{phv}{m}{n}\sc{\abstractname}}
\end{center}
}
{\par
%\rule{\textwidth}{0.5pt}\\
\end{minipage}
\end{center}
}

\title{\@title}
\renewcommand{\title}[1]{\def\@title{\fontsize{13}{12}\sc #1}}
\RequirePackage[blocks]{authblk}
\makeatletter
\newcommand*{\authors}{%
  \begingroup
    \let\footnote\@gobble% ignore \footnote
    \let\textsuperscript\@gobble% ignore protected \textsuperscript
    \expandafter\let\csname textsuperscript \endcsname\@gobble
    \let\Authfont\relax% do not use a special font
    \def\Authand{,\quad }% separate list of authors by ,
    \ifnum\value{authors}<3 % one ore two authors
      \AB@authlist% show them all
    \else% 3 or more authors
      % show only the first one followed by "et.~al"
      \expandafter\@firstof@authlist\AB@authlist\@nil\ et.~al%
    \fi
  \endgroup
}
\def\@firstof@authlist#1\footnote#2\@nil{#1}% skip all from the first footnote
\makeatother


\renewcommand\Authfont{\fontsize{9}{12}\usefont{OT1}{phv}{b}{n}}
\renewcommand\Affilfont{\fontsize{8}{12}\usefont{OT1}{phv}{m}{n}}

\def\shortauthor#1{\def\@\shortauthor{#1}}
\newcommand{\shortA}{\@\shortauthor}

\input{insbox}

\RequirePackage{fancyhdr}%
\pagestyle{fancy}
\fancyheadoffset{0cm} 
\renewcommand\headrulewidth{0.5pt}
\fancypagestyle{plain}{
\fancyhf{}
    \fancyhead[R]{}
    \fancyhead[L]{\InsertBoxL{-1}{\includegraphics[width=1cm,height=1cm]{logo_BDTS.pdf}} %
    {\sc $2^{\text{me}}$ Workshop National BDTS'2025\\}
    \small \textbf{Banques de Donnes et Traitement Statistique} }
    \fancyfoot[L]{\sc 15-16 Octobre, Universit de Bejaia}
    \fancyfoot[R]{}
}

\thispagestyle{fancy}
\fancyhf{}

\RequirePackage{fancyhdr}
\pagestyle{fancy}
\fancyhf{}
\fancyhead[L]{%
  \ifodd\value{page}
    \small%\nouppercase\shortA\, et al.
  \else
    \small\nouppercase\shortT
  \fi
  }

  \fancyhead[R]{%
  \ifodd\value{page}
    \small\nouppercase\shortA\, et al.
  \else
    \small%\nouppercase\shortT
  \fi
  }

\renewcommand\footrulewidth{1pt}
\fancyfoot[R]{%
  \ifodd\value{page}
    \small\nouppercase{}%\thepage
  \else
    \small\nouppercase{\sc $2^{\text{me}}$ dition du Workshop National BDTS}
  \fi
}
\fancyfoot[L]{%
  \ifodd\value{page}
    \small\nouppercase{\textbf{Banques de Donnes et Traitement Statistique}}
  \else
    \small\nouppercase%\thepage
  \fi
}


